* {
    box-sizing: border-box;
}
.main-container{ display: flex; flex-direction: row; }
.sub-container_left{ width: 45%; }
.sub-container_center{ width: 39%; padding-right: 28px; }
.sub-container_right{ width: 16%; }
.btn_addcart{
    padding: 8px 14px 8px 14px;
    background-color: #ffd814;
    border: none;
    border-radius: 50px;
    font-size: 14px;
    width: 100%;
    margin-bottom: 16px;
}
.mobimgarea
{
    display: none;
}
.maincompimg
{
    display: block;
}
.mob-maincompimg
{
    display: none;
}

.btn_addcart:hover{ cursor: pointer; }
.btn_buynow{
    padding: 8px 14px 8px 14px;
    background-color: #ffa11a;
    border: none;
    border-radius: 50px;
    font-size: 14px;
    width: 100%;
    margin-bottom: 16px;
}
.btn_buynow:hover{ cursor: pointer; }

.price_txt{ font-size: 28px; color: #0f1111; font-weight: 600; }
h1.proname{ font-size: 24px; font-weight: 400; margin-top: 0px; margin-left: 0px; margin-right: 0px; margin-bottom: 6px;}

.currency_symbol{ position: relative; top: -0.7em; font-size: 13px; }
.tbl-left-col{
    font-weight: 700;
    font-size: 14px;
    padding-top: 5px;
    padding-bottom: 5px;
}
.tbl-right-col{
    font-size: 14px;
    padding-left: 10px;
}
.img-zoom-container {
    position: relative;
}
.img-zoom-lens {
    position: absolute;
    border: 1px solid #ffb9594a;
    /*set the size of the lens:*/
    width: 250px;
    height: 250px;
    background-color: #ffb9594a;
    cursor: zoom-in;
    display: none;
}
.img-zoom-result {
    border: 1px solid #d4d4d4;
    /*set the size of the result div:*/
    /*width: 550px;*/
    /*height: 550px;*/
    position: fixed; 
    z-index: 2;
    width: 50%;
    height: 95%;
    display: none;
}
.thum-imgs{ border: solid 1px #ccc; border-radius: 4px; display: inline-block; }
.out-thump{ border: solid 2px #ffba0000; border-radius: 4px; }
.out-thump:hover{ border: solid 2px red; cursor: pointer; }
.pro_view_thump_container{
    width: 80px;
}
.pro_view_img_container{
    width: 90px;
}
.pro_view_container{
    display: flex;
    flex-direction: row;
}
.instock_lbl{ color: #0b7b3c; font-size: 18px; margin-top: 10px; margin-bottom: 10px; }

.proinfo-tbl
{
    width: 50%;
}

.mycontainer {
    display: flex;
    width: 100%;
    margin: 14px;
}
.review-left-container{
    width: 84px;
    text-align: left;
    color: #2162a1;
}
.review-middle-container{
    text-align: center;
    width: 100%;
}
.review-right-container{
    width: 84px;
    text-align: right;
    color: #2162a1;
}
.review_link{
    text-decoration: none;
}
.review_link:hover{
    text-decoration: underline;
}
.customer-reviews-bottom-text-container
{
    margin: 10px 0px 10px 0px; 
}
.customer-reviews-bottom-text{
    color: #2162a1;
}
.customer_review_btn
{
    background-color: white;
    border: solid 1px black;
    padding: 8px;
    width: 320px;
    border-radius: 20px;
}
.customer_review_btn:hover
{
    cursor: pointer;
    background-color: #eee;
}
.review-write-btn-container
{
    margin: 10px 0 10px 0;
}
.reviews-main-container {
    display: flex;
    flex-direction: row;
}
.reviews-left-container {
    width: 30%;
    border-right: solid 1px #eee;
    padding: 0px 20px 0px 20px;
}
.reviews-right-container {
    width: 70%;
    padding: 0 20px 0 20px;
}
@media screen and (max-width: 768px) {
    .main-container, .reviews-main-container
    {
        flex-direction: column;
    }
    .sub-container_left, .sub-container_center, .sub-container_right, .reviews-left-container, .reviews-right-container
    {
        width: 100%;
    }
    .imagearea
    {
        display: none;
    }
    .mobimgarea
    {
        display: block;
    }
    .main-container
    {
        flex-direction: column;
    }
    .maincompimg
    {
        display: none;
    }
    .mob-maincompimg
    {
        display: block;
    }
    .mycontainer
    {
        width: 100%;
    }
    .pro_view_container{
        display: flex;
        flex-direction: column-reverse;;
    }
    .pro_view_thump_container
    {
        width: 100%;
        padding: 0 0 10px 0;
    }
    .proinfo-tbl
    {
        width: 100%;
    }
}